<template>
  <el-menu
    class="sidebar"
    :default-active="$route.path"
    :collapse="true"
    :show-timeout="200"
    text-color="#bcc5d0"
    active-text-color="#ffffff">
    <router-link to="containers">
      <el-menu-item class="sidebar-item" index="/containers">
        <font-awesome-icon class="fa-icon" icon="cubes"></font-awesome-icon>
        <span slot="title">Containers</span>
      </el-menu-item>
    </router-link>
    <router-link to="images">
      <el-menu-item class="sidebar-item" index="/images">
        <font-awesome-icon class="fa-icon" icon="images"></font-awesome-icon>
        <span slot="title">Images</span>
      </el-menu-item>
    </router-link>
    <router-link to="volumes">
      <el-menu-item class="sidebar-item" index="/volumes">
        <font-awesome-icon class="fa-icon" icon="coins"></font-awesome-icon>
        <span slot="title">Volumes</span>
      </el-menu-item>
    </router-link>
  </el-menu>
</template>

<script>
import Vue from 'vue';

export default {
  data() {
    return {
      sidebarOpen: false,
    };
  },
  computed: {
    isCollapse() {
      return !this.sidebarOpen;
    },
  },
};
</script>

<style lang="stylus" scoped>
$color-background = rgb(70, 77, 87)
$color-text = #bcc5d0

.sidebar
  border-right 1px solid $color-athensgray
  background-color $color-background
  flex-shrink 0
  &-item
    .fa-icon
      margin-right 10px
    &.is-active
    &:hover
      background-color lighten($color-background, 10%)
</style>